[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

guessnet uses obsolete (PF_INET,SOCK_PACKET) (wrt. bug #153881)


When run for the first time, the guessnet program written and packaged
by me produces the following log warning:

Sep  6 22:50:30 mitac kernel: guessnet uses obsolete (PF_INET,SOCK_PACKET)

This has been reported as bug #153881 and I'm trying to fix it and close
the bug.  As reported by the bug submitter, the `packet' manpage
explains what is needed to fix the application; however, guessnet
does not directly use any of the functions described in that manpage and
uses libpcap and libnet for networking I/O.

When I last checked, neither libnet nor libpcap have open bugs involving
this problem; maybe I should use them in a different way in guessnet.

I've looked, but I finally declare myself unable to find a solution for
fixing the bug.  For this reason I'm recoursing to ask for help in

Bye, Enrico

GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@debian.org>

Attachment: pgpCNgbVArUhW.pgp
Description: PGP signature

Reply to: